Subject: [dix] identification semantics algorithm

From: tianxama <[email-masked]>
Date: Mon, 11 Jun 2007 18:30:10 -0700 (PDT)

http://www.simetris.com.ar http://www.simetris.com.ar 

	Part-Whole relationships. Part(s) describing surronding Whole.

The idea is to develop kind of data structure, with parts nested compounding
a whole, and the inner
parts of the structure knows, in reverse order, the containing tree of
elements or structure surrounding
it.

1: Definitions:

superPart: Part containing one or more parts.

part: Inside a superPart. Can contain subParts.

subPart: Inner unit inside a part.

NID: Nesting level ID (deep level entities are in a nested/tree structure)

   XML Example:

   &lt;superPart NID="0"&gt;
     &lt;part NID="1"&gt;
       &lt;subPart NID="2"&gt;
     &lt;/part&gt; &lt;!-- end NID 1 --&gt;
   &lt;/superPart&gt; &lt;!-- end NID 0 --&gt;

SeqID: Sequence ID (symbol sequencing and identification)

   Symbols sequencing and identification begins with first occurrence of a
symbol in
   a structure, begining with 0, next symbol is tagged with 1. If next
symbol appeared
   before, then the tag used before to identify it is used.

OccID: Occurrence ID

   Times element appeared in a sequence. First time same element occurs is
0, then 1, etc.

CID: Count ID (0, 1, 2, ...)

   Sequential count, begining with 0, of elements in determinate context
(Nesting level, Sequence, etc.)

MvtID: Movement ID

   Signals start (S), inside (I), outside (O) or end (E) movement in a
statement chain.

2. Example:

Linear Form:

        ( superPart ( part ( ( superPart ) ( subPart ( part ( superPart ) )
) ) )

NID:         0         1           2            2        3        4

SeqID:       0         1           0            2        1        0

OccID:       0         0           1            0        1        2

CID:         0         1           2            3        4        5

MvtID:       S         I           O            I        O        E

XML Example:

&lt;superPart NID="0"&gt;
  &lt;part NID="1"&gt;
    &lt;superPart NID="2"/&gt;
    &lt;subPart NID="2"&gt;
      &lt;part NID="3"&gt;
        &lt;/superPart NID="4"&gt;
      &lt;/part&gt;
    &lt;/subPart&gt;
  &lt;/part&gt;
&lt;/superPart&gt;

Another Example:

        ( head ( face ( ( head ) ( eyes ( face ( head ) ) ) ) )

NID:        0      1        2        2      3      4

SeqID:      0      1        0        2      1      0

OccID:      0      0        1        0      1      2

CID:        0      1        2        3      4      5

MvtID:      S      I        O        I      O      E

3. Composite IDs:

Combining CID, NID, SeqID and OccID, other IDs for easier retrieval of
elements in statement can
be achieved.

For example: NID + OccID = CID (Count of elements inside a specific nesting
level)

        ( head ( face ( ( head ) ( eyes ( face ( head ) ) ) ) )

NID:        0      1        2        2      3      4

SeqID:      0      1        0        2      1      0

OccID:      0      0        1        0      1      2

CID:        0      1        2        3      4      5

OrderID:  (0.0)  (1.0)    (2.0)    (2.1)  (3.0)  (4.0)

4. Terms (Parts) Relationships and Roles:

In specific context of container part, another part plays a role or function
in the context of
container part. This is the semantics of the containment relationship, for
example: John, inside
a specific Team, is a player, more specificaly, a goalkeeper.

Parsing Example:

[previousElement]:[role/type] => [actualElement]:[role/type] =>
[nextElement]:[role/type]

5. Measurement units:

superUnit (eg.: Kilometer)
unit (eg.: Meter)
subUnit (eg.: Centimeter)

Ratio:

superUnit (1) => unit (1/n) => subUnit (1/n : n)

	In a specific Context which contains Type(s) of entities, one Entity
playing a
        specific Role (which are part of a Type definition) have one and
only Identifier
        which determines its identity.

	Context := [Type]*
	Type := [Role]*
	Role := [Entity]*
	Entity := [PlayerType] [ActorType] => (Identity)
	PlayerType := 'sender' | receiver
	ActorType := 'active' | 'pasive'

	In a Dialog made of Statement(s) which are compound with Term(s), the
Identity
	of a Player/Actor determines which Role the entity plays, determined with
it's Type interactions/operations
	(Message*).

[ Research &gt; &gt; Algorithms ] 

ENGLISH:

Symbols sequencing/identification (stream): 

1. Map sucesive symbols with numbers
   (starting at 0) 
2. Symbol repeated, use the identifier used the first
   time the simbol appeared 
3. After a repeated symbol, continue with id sequence
   if next symbol is new, use last otherwise 
4. Apply recursively from contained symbol structures
   to containers (letter / word ; word / sentence) 

Example: 

String: ASDFAEIOUS
Encoding: 0123045671

Part-Whole Composition Rules:
----------------------------

1. Letter - Word = SINTAX
2. Word - Statement = GRAMMAR

SINTAX- META-MODEL
GRAMMAR - MODEL

One level sintax is next level grammar.

Symbol sequencing:
1. Rules by symbols order of occurence
2. ALPHABET Construction (META-MODEL)
3. DICTIONARY Construction (MODEL)

SPANISH:

Secuenciamiento Simbolos cadena/stream (Algoritmo):

1. Identificar simbolos con secuencia numérica (comenzando desde 0)
2. Al repetirse simbolo, repetir identificador previamente usado
3. Luego de repetirse simbolo, si el simbolo subsiguiente es nuevo,
   utilizar identificador siguiente en secuencia
4. Aplicar identificacion simbolos recursivamente
   (ej.: letras > palabras > oraciones)

Ejemplo:

Cadena: ASDFAEIOUS
Encoding: 0123045671

Reglas de composición Parte-Todo:
--------------------------------

1. Letra - Palabra = SINTAXIS
2. Palabra - Oración = GRAMATICA

SINTAXIS- META-MODELO
GRAMATICA - MODELO

Recursividad:
La sintaxis de un nivel es la gramatica del nivel subsiguiente.

Secuenciamiento de símbolos:
1. Reglas segun orden de aparicion simbolos.
2. Construccion de ALFABETO (META-MODELO)
3. Construccion de DICCIONARIO (MODELO)

-- 
View this message in context: http://www.nabble.com/identification-semantics-algorithm-tf3904987.html#a11071595
Sent from the IETF - dix mailing list archive at Nabble.com.
_______________________________________________
dix mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dix